//===========================================================================//
//                                                                           //
//  Copyright (C) 2004 - 2019                                                //
//  IDS Imaging GmbH                                                         //
//  Dimbacherstr. 6-8                                                        //
//  D-74182 Obersulm-Willsbach                                               //
//                                                                           //
//  The information in this document is subject to change without            //
//  notice and should not be construed as a commitment by IDS Imaging GmbH.  //
//  IDS Imaging GmbH does not assume any responsibility for any errors       //
//  that may appear in this document.                                        //
//                                                                           //
//  This document, or source code, is provided solely as an example          //
//  of how to utilize IDS software libraries in a sample application.        //
//  IDS Imaging GmbH does not assume any responsibility for the use or       //
//  reliability of any portion of this document or the described software.   //
//                                                                           //
//  General permission to copy or modify, but not for profit, is hereby      //
//  granted,  provided that the above copyright notice is included and       //
//  reference made to the fact that reproduction privileges were granted	 //
//	by IDS Imaging GmbH.				                                     //
//                                                                           //
//  IDS cannot assume any responsibility for the use or misuse of any        //
//  portion of this software for other than its intended diagnostic purpose	 //
//  in calibrating and testing IDS manufactured cameras and software.		 //
//                                                                           //
//===========================================================================//

#if !defined(AFX_IDSSHERPAUEYEDLG_H__00EFA87C_7A28_4501_8760_D28D4F306A00__INCLUDED_)
#define AFX_IDSSHERPAUEYEDLG_H__00EFA87C_7A28_4501_8760_D28D4F306A00__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "IdsSherpa.h"
#include "IdsuEye.h"


class IdsSherpa_uEye_dlg : public CDialog
{

public:
    IdsSherpa_uEye_dlg(CWnd* pParent = NULL);

	enum { IDD = IDD_IDSSIMPLELIVE_DIALOG };

private:

    virtual void DoDataExchange(CDataExchange* pDX);

    HICON	m_hIcon;

	std::shared_ptr<IdsSherpa> m_peakCamera;
    std::shared_ptr<IdsuEye> m_uEyeCamera;

    CSliderCtrl m_sliderFramerate_uEye;
    CStatic m_labelFramerateMin_uEye;
    CStatic m_labelFramerateMax_uEye;
    CStatic m_labelFramerate_uEye;

    CSliderCtrl m_sliderExposure_uEye;
    CStatic m_labelExposureMin_uEye;
    CStatic m_labelExposureMax_uEye;
    CStatic m_labelExposure_uEye;

    CComboBox m_comboTriggerMode_uEye;

    CSliderCtrl m_sliderFramerate_peak;
    CStatic m_labelFramerateMin_peak;
    CStatic m_labelFramerateMax_peak;
    CStatic m_labelFramerate_peak;

    CSliderCtrl m_sliderExposure_peak;
    CStatic m_labelExposureMin_peak;
    CStatic m_labelExposureMax_peak;
    CStatic m_labelExposure_peak;

    CComboBox m_comboTriggerMode_peak;

    virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();

	afx_msg void OnButtonStart_uEye();
	afx_msg void OnButtonStop_uEye();

	afx_msg void OnButtonStart_peak();
	afx_msg void OnButtonStop_peak();
	
	afx_msg void OnButtonExit();
    afx_msg void OnClose();

    afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);

    void OnComboTriggerMode_uEye();
    void OnComboTriggerMode_peak();

    void CloseAll();

    void UpdateSliderFramerate_uEye();
    void UpdateSliderExposure_uEye();
    void UpdateComboTriggerMode_uEye();

    void UpdateSliderFramerate_peak();
    void UpdateSliderExposure_peak();
    void UpdateComboTriggerMode_peak();

	DECLARE_MESSAGE_MAP()  

public:

    afx_msg void OnBnClickedButtonForceTriggerUeye();
    afx_msg void OnBnClickedButtonForceTriggerPeak();
};

#endif // !defined(AFX_IDSSHERPAUEYEDLG_H__00EFA87C_7A28_4501_8760_D28D4F306A00__INCLUDED_)
